@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&family=Spartan:wght@100;200;300;400;500;600;700;800;900&display=swap');

/* color variables */

:root {
    --very-dark-magenta: hsl(300, 43%, 22%);
    --soft-pink: hsl(333, 80%, 67%);
    --dark-grayish-magenta: hsl(303, 10%, 53%);
    --light-grayish-magenta: hsl(300, 24%, 96%);
    --white: hsl(0, 0%, 100%);
}

/* general style */

body {
    font-family: 'Spartan', sans-serif;
    margin: auto;
}

.container {
    margin: 100px;
}

h1 {
    font-size: 40px;
    color: var(--very-dark-magenta);
}


/* first part */
.top {
    display: flex;
    flex: wrap;
}

/* First part left */
.left>p {
    font-size: 20px;
    color: var(--dark-grayish-magenta);
}

.left {
    flex: 40%;
}

/* First part right */

.right {
    display: flex;
    flex-direction: column;
    flex: 60%;
    align-items: end;
    margin: 30px 0px 50px 0px;
}

.review {
    display: flex;
    justify-content: start;
    align-items: center;
    width: 400Px;
    height: 50px;
    margin: 0px 80px 20px 0px;
    border: 1px solid var(--light-grayish-magenta);
    border-radius: 10px;
    background-color: var(--light-grayish-magenta);
    padding-left: 20px;
}

.review>span {
    margin: 0px 20px 0px 20px;
    color: var(--very-dark-magenta);
    font-weight: 600;
}

.review-2 {
    margin-right: 60px;
}

.review-3 {
    margin-right: 20px;
}

/* second part */

.bottom {
    display: flex;
}

/* card */

/* photo */

.author {
    display: flex;
}


.author>img {
    margin-top: 10px;
    width: 10%;
    height: 10%;
    border-radius: 50%;
}

.author>div {
    flex: 70%;
    margin-left: 20px;
}

/* second part */

.testimonial-container>.testimonial:first-child {
    margin: 0px 0px 100px 0px;
}

.testimonial-container>.testimonial-2 {
    margin: 20px 0px 70px 20px;
}

.testimonial-container>.testimonial-3 {
    margin: 40px 0px 40px 20px;
}


.testimonial {
    border: 1px solid;
    border-radius: 10px;
    margin: 10px;
    padding: 30px;
    font-size: 14px;
    background-color: var(--very-dark-magenta);
}

.testimonial>p {
    color: white;
    font-weight: 200;
}


/* name photo */
div>p:first-child {
    margin-top: 10px;
    margin-bottom: 0px;
    padding-bottom: 0px;
    color: white;
    font-weight: 600;
}

/* verified buyer */

.pink {
    padding-top: 0px;
    margin-top: 0px;
    font-weight: 400;
    color: var(--soft-pink);
}


@media screen and (max-width :700px) {

    .container {
        margin: 0px 50px;
    }

    .top,
    .bottom {
        flex-direction: column;
    }

    body {
        width: 100%;
    }

    h1,
    .left>p {
        text-align: center;
    }

    .review,
    .review-2,
    .review-3 {
        padding: 10px 0px 20px 0px;
        display: flex;
        flex-direction: column;
        margin: 10px auto;
        width: 100%;
    }

    .review>div:first-child,
    .review-2>div:first-child,
    .review-3>div:first-child {
        margin-bottom: 10px;

    }

    .testimonial-container>.testimonial:first-child {
        margin: 0px 0px 20px 0px;
    }

    .testimonial-container>.testimonial-2 {
        margin: 0px 0px 20px 0px;
    }

    .testimonial-container>.testimonial-3 {
        margin: 0px;
    }
}